<div class="content mt-3">
  <div class="animated">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <strong class="card-title">Inventaires</strong>
          </div>

          <div class="card-body">

            <mat-form-field>
              <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Rechercher">
            </mat-form-field>

            <div class="mat-elevation-z2">
              <table mat-table [dataSource]="dataSource" matSort>

                <!-- Date Column -->
                <ng-container matColumnDef="date">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-20">Date</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.date | date}}</td>
                </ng-container>

                <!-- Nom Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-20">Nom</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.name}}</td>
                </ng-container>

                <!-- Description Column -->
                <ng-container matColumnDef="description">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-30">Description</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-30">{{inventory.description == null ? 'N/A' : inventory.description}}</td>
                </ng-container>

                <!-- Alerte Column -->
                <!-- OPT : <span class="badge badge-warning">En cours</span> -->
                <ng-container matColumnDef="state">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-10"> État </th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-10">
                    <div *ngIf="inventory.closed; else elseBlock">
                      <span class="badge badge-danger">Cloturé</span>
                    </div>
                    <ng-template #elseBlock>
                      <span class="badge badge-warning">En cours</span>
                    </ng-template>
                  </td>
                </ng-container>

                <!-- Actions Column -->
                <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-20 text-center"> Actions </th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-10 text-center">
                    <div *ngIf="inventory.closed; else elseBlock">
                      <i (click)="onShowInventory(inventory)" data-toggle="modal" data-target="#invModal" class="icon-click fa fa-eye"></i>
                    </div>
                    <ng-template #elseBlock>
                      <i (click)="onEditInventory(inventory)" class="icon-click fa fa-pencil"></i>
                      &nbsp;&nbsp;&nbsp;
                      <i (click)="onDeleteInventory(inventory)" class="icon-click fa fa-trash"></i>
                    </ng-template>
                  </td>

                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let inventory; columns: displayedColumns;">
                </tr>
              </table>
              <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6 offset-md-3 col-lg-4 offset-lg-4">
        <button type="button" class="btn btn-success btn-lg btn-block" (click)="onCreateInventory()">Créer un inventaire</button>
      </div>
    </div>
  </div>
</div>